Guest

Cisco XR 12000 Series Router

Field Notice: FN - 62788 - SRG: GSR, XR-12K-MSB Multi-Service Blade - FPGA Upgrade Requirement for IOX 3.5 Additional Services


April 19, 2007

NOTICE:

THIS FIELD NOTICE IS PROVIDED ON AN "AS IS" BASIS AND DOES NOT IMPLY ANY KIND OF GUARANTEE OR WARRANTY, INCLUDING THE WARRANTY OF MERCHANTABILITY. YOUR USE OF THE INFORMATION ON THE FIELD NOTICE OR MATERIALS LINKED FROM THE FIELD NOTICE IS AT YOUR OWN RISK. CISCO RESERVES THE RIGHT TO CHANGE OR UPDATE THIS FIELD NOTICE AT ANY TIME.


Products Affected

Products Affected

Comments

GSR - XR-12K-MSB

XR 12000 Multi-Service Blade

GSR - XR-12K-MSB=

XR 12000 Multi-Service Blade

Problem Description

XR-12K-MSB(=) - Service blade for XR 12K - currently supports the Session Border Controller (SBC) service application using IOS-XR 3.4.

The next upcoming IOS-XR release, IOS-XR 3.5, will support the Virtual FireWall (vFW) service as well.

Virtual Firewall on IOS-XR 3.5 requires a new Field Programmable Gate Array (FPGA) image.

The existing TREX FPGA image (pre-programmed on board) does not support IOS-XR 3.5 and therefore requires a FPGA upgrade.

Upgrading to the new FPGA image will support the new IOS-XR 3.5 allowing to use both service applications, SBC and vFW.

Background

The current released OS version in the field is IOS-XR 3.4. The next OS release will be IOS-XR 3.5.

Customers that currently hold the XR-12000 Multi Service Blade boards and are planning to order additional boards can take one of these two actions:

a. In order to keep using IOS-XR 3.4, newly received boards will need to have the FPGA version downgraded.

b. To use the new IOS-XR 3.5, the customer will need to upgrade the FPGA image on their current existing board.

Problem Symptoms

If an MSB with TREX FPGA that is compatible with IOX R3.4.1 is plugged in a XR12000 router running IOX R3.5.0, it must be upgraded. A message similar to the following will show up soon after the MSB line card comes up:

LC/0/2/CPU0:Apr 11 07:26:38.600 : SC-192 fpga upgrade[147]: %PLATFORM-
UPGRADE_FPD-4-DOWN_REV : lc fpga2 instance 0 is down-rev (V0.41501), upgrade to 
(V0.41513). Use the "upgrade hw-module fpd" CLI in admin mode.

If an MSB with TREX FPGA that is compatible with IOX R3.5.0 is plugged in an XR12000 router running XR3.4.1, it must be downgraded. No special message is given to indicate this.

Workaround/Solution

Checking the TREX version on MSB

In either XR3.4.1 or XR3.5.0, enter the following command in admin mode:

attach location <MSB location>

At the ksh-LC> prompt, enter:

sc192_show -v

Type exit to return to IOX prompt.

In the output, look for Trex Fpga version.

TREX compatible with XR3.4.1 will show:

Trex Fpga version : 0xa21d0501

TREX compatible with XR3.5.0 will show:

Trex Fpga version : 0xa2290501

Upgrading to TREX compatible with XR3.5.0

If an MSB with TREX compatible with XR3.4.1 is plugged in an XR12000 router running XR3.5.0, it must be upgraded. A message similar to the following will show up soon after the MSB line card comes up:

LC/0/2/CPU0:Apr 11 07:26:38.600 : SC-192 fpga upgrade[147]: 
%PLATFORM-UPGRADE_FPD-4-DOWN_REV : lc fpga2 instance 0 is down-rev 
(V0.41501), upgrade to (V0.41513). Use the "upgrade hw-module fpd" CLI 
in admin mode.

Follow these steps to upgrade the TREX FPGA and Fabric Loader of the MSB:

  1. Install and activate the FPD PIE. In admin mode enter:

    install add <path>c12k-fpd.pie-3.5.0 activate sync

    Note: Replace <path> with the full path to the image file location. For example tftp://223.255.254.254/.

  2. When the installation operation completes, enter:

    install commit

  3. In admin mode, enter:

    upgrade hw-module fpd fpga2 location <MSB location>

    Confirm the operation when prompted. A message similar to the following indicates successful upgrade:

    %PLATFORM-UPGRADE_FPD-6-PASSED: Successfully upgrade fpga2 subtype 
    image for this card on location 0/0/CPU0 
    % Successfully upgraded 1 FPD for 12000-ServEngCard on location 0/2/CPU0
    
  4. Enter the command:

    upgrade fabric-downloader location <MSB location>

    The message: Upgraded linecard fabric-downloader successfully indicates successful fabric loader upgrade.

  5. Reload the MSB card, to make the upgrade take effect. Enter:

    hw-module location <MSB location> reload and confirm the reload operation.

  6. When the MSB comes up to IOX-RUN state, you may verify the upgrade using this command:

    sh hw-module fpd location <MSB location>

    The output should indicate fpga2 version 0.41513

    If the output is an empty table, wait a couple of minutes and try again.

Downgrading to TREX compatible with XR3.4.1

If an MSB with TREX compatible with XR3.5.0 is plugged in an XR12000 router running XR3.4.1, it must be downgraded. No special message is given to indicate this.

Follow these steps to downgrade the TREX FPGA and Fabric Loader of the MSB:

  1. Install and activate the FPD PIE. In admin mode enter:

    install add <path>c12k-fpd.pie-3.4.1 activate sync

    Note: Replace <path> with the full path to the image file location. For example, tftp://223.255.254.254/.

  2. When the installation operation completes, enter:

    install commit

  3. In admin mode, enter:

    upgrade hw-module fpd fpga2 force location <MSB location>

    Confirm the operation when prompted. A message similar to the following indicates successful downgrade:

    %PLATFORM-UPGRADE_FPD-6-PASSED: Successfully upgrade fpga2 subtype 
    image for this card on location 0/0/CPU0 
    % Successfully upgraded 1 FPD for 12000-ServEngCard on location 0/2/CPU0
    
  4. Enter the command:

    upgrade fabric-downloader location <MSB location> force

    The message: Upgraded linecard fabric-downloader successfully indicates successful fabric loader downgrade.

  5. Reload the MSB card to make the downgrade take effect. Enter:

    hw-module location <MSB location> reload and confirm the reload operation.

  6. When the MSB comes up to IOX-RUN state, you may verify the upgrade using this command:

    sh hw-module fpd location <MSB location>

    The output should indicate fpga2 version 0.41501

    If the output is an empty table, wait a couple of minutes and try again.

Revision History

Revision

Date

Comment

1.0

19-APR-2007

Initial Public Release

For More Information

If you require further assistance, or if you have any further questions regarding this field notice, please contact the Cisco Systems Technical Assistance Center (TAC) by one of the following methods:

Receive Email Notification For New Field Notices

Product Alert Tool - Set up a profile to receive email updates about reliability, safety, network security, and end-of-sale issues for the Cisco products you specify.